<?xml version="1.0" encoding="UTF-8"?><!--
==================================
Schematron schema for elab-tmp-med (fragment schematron) 
  10005 HL7: template id CDA medicatiebewaking

Project: eLab

Copyright 2010 Nictiz


Author: dr Kai U. Heitmann

Version information:
  2010-02-16 KH initial release
  2010-06-28 KH template based
  2010-12-21 KH template 200, 201, 204 en 205 afgerond

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van
        de – al dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2011-01-12T13:11:49.071+01:00
==================================

--><!--
Template derived pattern
===========================================
ID: 
Item: HL7: template id CDA medicatiebewaking
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="elab-tmp-med"><title>HL7: template id CDA medicatiebewaking - scenario(s): cdamedicatiebewaking</title>
<!--
Template derived rules for ID: elab-tmp-med
Context: hl7:ClinicalDocument
Item: HL7: template id CDA medicatiebewaking - scenario(s): cdamedicatiebewaking
-->

<rule context="hl7:ClinicalDocument"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-tmp-med" test="count(hl7:templateId)&gt;=1 and not(hl7:templateId/@nullFlavor)">HL7: template id CDA medicatiebewaking: element hl7:templateId is mandatory [min 1x]</assert></rule>

<!--
Template derived rules for ID: elab-tmp-med
Context: hl7:ClinicalDocument/hl7:templateId
Item: HL7: template id CDA medicatiebewaking
-->

<rule context="hl7:ClinicalDocument/hl7:templateId"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-tmp-med" test="count(../hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.35.3'])&gt;0">HL7: template id CDA medicatiebewaking: there SHALL be at least one hl7:templateId with @root present and valued '2.16.840.1.113883.2.4.6.10.35.3' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-tmp-med" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">HL7: template id CDA medicatiebewaking: @root attribute SHALL be a syntactically correct UUID or OID</assert></rule>
</pattern>