<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.110
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.110">
   <title>Familie anamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]
Item: (FamilieAnamnese)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation
Item: (FamilieAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation"
         id="tmp-11086bfb-a72a-4e0b-9319-fe960b52be9b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@classCode='OBS'">(FamilieAnamnese): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@moodCode='EVN'">(FamilieAnamnese): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']/@nullFlavor)">(FamilieAnamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'])&lt;=1">(FamilieAnamnese): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(FamilieAnamnese): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:code)&lt;=1">(FamilieAnamnese): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(FamilieAnamnese): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:value)&lt;=1">(FamilieAnamnese): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:author)&lt;=1">(FamilieAnamnese): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:subject[hl7:personalRelationship[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']]])&gt;=1 ">(FamilieAnamnese): element hl7:subject[hl7:personalRelationship[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.24']]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']
Item: (FamilieAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.110']"
         id="tmp-f004d9d5-d6f7-404b-9f9e-feee1a4cf08e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.110'">(FamilieAnamnese): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.110' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(FamilieAnamnese): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:code
Item: (FamilieAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:code"
         id="tmp-a8b902e0-04a8-4129-bad8-e37c8eef41a7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(FamilieAnamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@nullFlavor or (@code='10157-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of family member diseases')">(FamilieAnamnese): de waarde van @code/@codeSystem MOET ''10157-6' codeSystem '2.16.840.1.113883.6.1' displayName='History of family member diseases'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:value
Item: (FamilieAnamnese)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:value"
         id="tmp-c7d9b4ab-6464-4888-87eb-2b4f012eb278">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(FamilieAnamnese): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author
Item: (Author.6.32.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author"
         id="tmp-50e53b46-ddbc-4155-a879-4a87616271e0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@contextControlCode='ON'">(Author.6.32.1.1): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@typeCode='AUT'">(Author.6.32.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(Author.6.32.1.1): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:time)&lt;=1">(Author.6.32.1.1): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="$elmcount&gt;=1">(Author.6.32.1.1): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.32.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])&lt;=1">(Author.6.32.1.1): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author/hl7:time
Item: (Author.6.32.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-69eec769-19d0-4c0b-b163-9f92df1cb5a5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Author.6.32.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author
Item: (Author.6.32.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author"
         id="tmp-d5d68dbf-e698-4ccd-b0bb-836f637e7801">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.32.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']])&lt;=1">(Author.6.32.1.1): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.32.1.1)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-e41b986d-6806-4bbb-be68-1c3eea95b787">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@classCode='ASSIGNED'">(Author.6.32.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]
Item: (Author.6.32.1.1)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.18']]"
         id="tmp-7536969e-05d3-44df-9ba1-5068fe4be07f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@classCode='PAT'">(Author.6.32.1.1): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.110
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:subject
Item: (Subject.6.32.1.2)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.110']]/hl7:observation/hl7:subject"
         id="tmp-b822f1fd-017a-4fd4-9b57-8f41755efd7b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@contextControlCode='OP'">(Subject.6.32.1.2): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.110.html"
              test="@typeCode='SBJ'">(Subject.6.32.1.2): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>
</pattern>