<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.113
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.113">
   <title>Laboratorium onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]
Item: (LaboratoriumOderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act
Item: (LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act"
         id="tmp-1f8820d4-9cac-4e75-89f4-9f099697cad5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@classCode='ACT'">(LaboratoriumOderzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@moodCode='EVN'">(LaboratoriumOderzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']/@nullFlavor)">(LaboratoriumOderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'])&lt;=1">(LaboratoriumOderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratoriumOderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:code)&lt;=1">(LaboratoriumOderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(LaboratoriumOderzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:text)&lt;=1">(LaboratoriumOderzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:performer)&lt;=1">(LaboratoriumOderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']
Item: (LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.113']"
         id="tmp-9b641de6-b915-40ce-b646-396db80592b2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.113'">(LaboratoriumOderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.113' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(LaboratoriumOderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:code
Item: (LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:code"
         id="tmp-9feceb01-7977-43e0-8409-472d4ffb051f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(LaboratoriumOderzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@nullFlavor or (@code='56850-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Interpretation and review of laboratory results')">(LaboratoriumOderzoek): de waarde van @code/@codeSystem MOET ''56850-1' codeSystem '2.16.840.1.113883.6.1' displayName='Interpretation and review of laboratory results'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:text
Item: (LaboratoriumOderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:text"
         id="tmp-c4f1229d-d2dc-43f7-9d95-1f92bb8451ad">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(LaboratoriumOderzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer
Item: (Performer.6.35.1.1)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer"
         id="tmp-727c98e5-72e8-4f33-b8f1-e85bf2bbc27e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@contextControlCode='OP'">(Performer.6.35.1.1): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@typeCode='PRF'">(Performer.6.35.1.1): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.35.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.113
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.35.1.1)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.113']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-9064cd64-d701-4233-b5ed-96b8dc412fc8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.113.html"
              test="@classCode='ASSIGNED'">(Performer.6.35.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>