<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.15
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.15">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]
Item: (Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern
Item: (Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern"
         id="tmp-0cabcd79-88ec-4c49-8503-81219c27b731">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@classCode='CONC'">(Episode): de waarde van @classCode MOET 'CONC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@moodCode='EVN'">(Episode): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']/@nullFlavor)">(Episode): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'])&lt;=1">(Episode): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Episode): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:id)&lt;=1">(Episode): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Episode): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:statusCode)&lt;=1">(Episode): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:effectiveTime)&lt;=1">(Episode): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]|hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="$elmcount&gt;=1">(Episode): keuze (hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] of hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]])&lt;=1">(Episode): element hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]])&lt;=1">(Episode): element hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:author)&lt;=1">(Episode): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']
Item: (Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.15']"
         id="tmp-9d82101a-af14-49b5-b83b-27939ed52a8b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.15'">(Episode): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.15' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Episode): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:id
Item: (Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:id"
         id="tmp-0fe2b19c-022f-4ed4-9325-301cd3667a62">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Episode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:statusCode
Item: (Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:statusCode"
         id="tmp-ac2e66da-4f69-4d2c-8829-facd3536015a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(Episode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(Episode): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime
Item: (Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime"
         id="tmp-9751ba94-d4d7-4c7d-b866-d9fce65a124c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(Episode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Episode): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:low)&lt;=1">(Episode): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:high)&lt;=1">(Episode): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:width)=0">(Episode): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:center)=0">(Episode): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:low
Item: (Episode)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:low"
         id="tmp-0099f434-8140-4115-acd5-f2a46f32bdf2">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Episode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:high
Item: (Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:width
Item: (Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:effectiveTime/hl7:center
Item: (Episode)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:component
Item: (Component.6.13.1.1)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:component"
         id="tmp-8443941e-d894-45eb-bc70-abf9cf0e452e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true'">(Component.6.13.1.1): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='COMP'">(Component.6.13.1.1): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (Reference.6.13.1.2)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference"
         id="tmp-8a4cdaf6-3c62-4079-af5a-5ed2dfc3d06d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='false'">(Reference.6.13.1.2): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='REFR'">(Reference.6.13.1.2): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference
Item: (Reference.6.13.1.20)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:reference"
         id="tmp-cdaf6151-758c-43cf-9e2f-185566102e4f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='false'">(Reference.6.13.1.20): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='REFR'">(Reference.6.13.1.20): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern
Item: (Subject2.6.13.1.4)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern"
         id="tmp-ec334981-2f87-4675-b9cc-7cfa31a7b20e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]])&lt;=1">(Subject2.6.13.1.4): element hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]])&lt;=1">(Subject2.6.13.1.4): element hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]
Item: (Subject2.6.13.1.4)
-->
<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']]]"
         id="tmp-a84ac56d-e343-4049-bd43-9d09f8c2244c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true'">(Subject2.6.13.1.4): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='SUBJ'">(Subject2.6.13.1.4): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]]
Item: (Subject2.6.13.1.4)
-->
<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:subject2[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.25']]]"
         id="tmp-ea4c880f-8c45-4490-8877-cdffd30190f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextConductionInd='true'">(Subject2.6.13.1.4): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='SUBJ'">(Subject2.6.13.1.4): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author
Item: (Author.6.13.1.5)
-->

<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author"
         id="tmp-827649a1-a9dd-4160-ae7f-735413083634">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@contextControlCode='OP'">(Author.6.13.1.5): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@typeCode='AUT'">(Author.6.13.1.5): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']])&gt;=1 and not(hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']]/@nullFlavor)">(Author.6.13.1.5): element hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="count(hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']])&lt;=1">(Author.6.13.1.5): element hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.15
Context: *[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author/hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']]
Item: (Author.6.13.1.5)
-->
<rule context="*[hl7:concern[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.15']]/hl7:concern/hl7:author/hl7:assignedPerson[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.22']]"
         id="tmp-49c5af79-73cb-435f-9088-87eb3e477959">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.15.html"
              test="@classCode='ASSIGNED'">(Author.6.13.1.5): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>