<?xml version="1.0" encoding="UTF-8"?><!--
==================================
Schematron schema for elab-201 (fragment schematron) 
  201 Klinische/ fysische informatie

Project: eLab

Copyright 2010 Nictiz


Author: dr Kai U. Heitmann

Version information:
  2010-02-16 KH initial release
  2010-06-28 KH template based
  2010-12-21 KH template 200, 201, 204 en 205 afgerond

DISCLAIMER:
Hoewel deze publicatie met de uiterste zorg is samengesteld, kan Nictiz geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van
        de – al dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2011-01-12T13:11:49.071+01:00
==================================

--><!--
Template derived pattern
===========================================
ID: 
Item: Klinische/ fysische informatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="elab-201"><title>Klinische/ fysische informatie - scenario(s): #ANY</title>
<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']
Item: Klinische/ fysische informatie - scenario(s): #ANY
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='DRIV'">Klinische/ fysische informatie: @typeCode SHALL be present where the value of @typeCode is 'DRIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @contextConductionInd='true'">Klinische/ fysische informatie: @contextConductionInd SHALL have value 'true' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Klinische/ fysische informatie: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Klinische/ fysische informatie: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer
Item: Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='CLUSTER'">Klinische/ fysische informatie: @classCode SHALL be present where the value of @classCode is 'CLUSTER' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Klinische/ fysische informatie: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Klinische/ fysische informatie: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Klinische/ fysische informatie: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Klinische/ fysische informatie: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:observation[hl7:code[@code='10154-3']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/@nullFlavor)">Klinische/ fysische informatie: element hl7:component[hl7:observation[hl7:code[@code='10154-3']]] (hoofdklacht)  is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:observation[hl7:code[@code='3141-9']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:observation[hl7:code[@code='3141-9']]] (Gewicht)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:observation[hl7:code[@code='364320009']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:observation[hl7:code[@code='364320009']]] (Zwangerschap)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:organizer[hl7:code[@code='18605-6']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:organizer[hl7:code[@code='18605-6']]] (Relevante medicatie)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:organizer[hl7:code[@code='48765-2']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:organizer[hl7:code[@code='48765-2']]] (Relevante allergieën, antibioticaovergevoeligheden)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:organizer[hl7:code[@code='418799008']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:organizer[hl7:code[@code='418799008']]] (Symptomen etc.)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:organizer[hl7:code[@code='41291-6']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:organizer[hl7:code[@code='41291-6']]] (Vaccinatie status)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:organizer[hl7:code[@code='47519-4']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:organizer[hl7:code[@code='47519-4']]] (Recente ingrepen)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:component[hl7:observation[hl7:code[@code='184104002']]])&lt;=1">Klinische/ fysische informatie: element hl7:component[hl7:observation[hl7:code[@code='184104002']]] (Beroep)  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:code
Item: Klinische/ fysische informatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='34117-2'">Klinische/ fysische informatie: A code element SHALL be present where the value of @code is '34117-2' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Klinische/ fysische informatie: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:statusCode
Item: Klinische/ fysische informatie
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]
Item: hoofdklacht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">hoofdklacht: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">hoofdklacht: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">hoofdklacht: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation
Item: hoofdklacht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">hoofdklacht: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">hoofdklacht: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">hoofdklacht: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">hoofdklacht: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">hoofdklacht: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:effectiveTime)&lt;=1">hoofdklacht: element hl7:effectiveTime appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">hoofdklacht: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation/hl7:code
Item: hoofdklacht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='10154-3'">hoofdklacht: A code element SHALL be present where the value of @code is '10154-3' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">hoofdklacht: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation/hl7:statusCode
Item: hoofdklacht
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation/hl7:effectiveTime
Item: hoofdklacht
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='10154-3']]]/hl7:observation/hl7:value
Item: hoofdklacht
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]
Item: Gewicht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Gewicht: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Gewicht: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Gewicht: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation
Item: Gewicht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Gewicht: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Gewicht: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Gewicht: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Gewicht: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Gewicht: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 ">Gewicht: element hl7:value is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Gewicht: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation/hl7:code
Item: Gewicht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='3141-9'">Gewicht: A code element SHALL be present where the value of @code is '3141-9' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Gewicht: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation/hl7:statusCode
Item: Gewicht
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation/hl7:value
Item: Gewicht
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='3141-9']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">Gewicht: An @xsi:type instruction SHALL be present where the value is 'PQ' STATIC or datatype SHALL be 'PQ'</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@unit='kg' or @nullFlavor">Gewicht: value attribute SHALL use @unit 'kg' - found unit <value-of select="@unit"/></assert><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="$digitok">Gewicht: @value is not a valid PQ number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]
Item: Zwangerschap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Zwangerschap: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Zwangerschap: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Zwangerschap: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation
Item: Zwangerschap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='COND'">Zwangerschap: @classCode SHALL be present where the value of @classCode is 'COND' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Zwangerschap: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Zwangerschap: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Zwangerschap: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Zwangerschap: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]])&lt;=1">Zwangerschap: element hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]] (Graviditeit)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]])&lt;=1">Zwangerschap: element hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]] (Pariteit)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]])&lt;=1">Zwangerschap: element hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]] (A terme datum)  appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]])&lt;=1">Zwangerschap: element hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]] (Duur zwangerschap (in weken))  appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:code
Item: Zwangerschap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='364320009'">Zwangerschap: A code element SHALL be present where the value of @code is '364320009' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Zwangerschap: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:statusCode
Item: Zwangerschap
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]
Item: Graviditeit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Graviditeit: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Graviditeit: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Graviditeit: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]/hl7:observation
Item: Graviditeit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Graviditeit: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Graviditeit: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Graviditeit: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Graviditeit: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 ">Graviditeit: element hl7:value is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Graviditeit: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]/hl7:observation/hl7:code
Item: Graviditeit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='11996-6'">Graviditeit: A code element SHALL be present where the value of @code is '11996-6' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Graviditeit: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]/hl7:observation/hl7:value
Item: Graviditeit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11996-6']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Graviditeit: An @xsi:type instruction SHALL be present where the value is 'INT' STATIC or datatype SHALL be 'INT'</assert><let name="theValue" value="@value"/><report role="warning" see="http://www.nictiz.nl/__TBD__/elab-201" test="number($theValue)&lt;1">Graviditeit: value attribute with data type 'INT' @value SHALL be in range 1 ...  - out of range <value-of select="$theValue"/></report><let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="$digitok">Graviditeit: @value is not a valid INT number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]
Item: Pariteit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Pariteit: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Pariteit: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Pariteit: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]/hl7:observation
Item: Pariteit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Pariteit: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Pariteit: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Pariteit: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Pariteit: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 ">Pariteit: element hl7:value is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Pariteit: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]/hl7:observation/hl7:code
Item: Pariteit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='11977-6'">Pariteit: A code element SHALL be present where the value of @code is '11977-6' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Pariteit: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]/hl7:observation/hl7:value
Item: Pariteit
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11977-6']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Pariteit: An @xsi:type instruction SHALL be present where the value is 'INT' STATIC or datatype SHALL be 'INT'</assert><let name="theValue" value="@value"/><report role="warning" see="http://www.nictiz.nl/__TBD__/elab-201" test="number($theValue)&lt;0">Pariteit: value attribute with data type 'INT' @value SHALL be in range 0 ...  - out of range <value-of select="$theValue"/></report><let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="$digitok">Pariteit: @value is not a valid INT number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]
Item: A terme datum
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">A terme datum: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">A terme datum: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">A terme datum: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]/hl7:observation
Item: A terme datum
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">A terme datum: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">A terme datum: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">A terme datum: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">A terme datum: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 ">A terme datum: element hl7:value is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">A terme datum: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]/hl7:observation/hl7:code
Item: A terme datum
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='11778-8'">A terme datum: A code element SHALL be present where the value of @code is '11778-8' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">A terme datum: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]/hl7:observation/hl7:value
Item: A terme datum
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='11778-8']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">A terme datum: An @xsi:type instruction SHALL be present where the value is 'TS' STATIC or datatype SHALL be 'TS'</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or (matches (@value, '^[0-9]{8,8}'))">A terme datum: @value SHALL be a valid time stamp and of precision/format YYYYMMDD</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]
Item: Duur zwangerschap (in weken)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Duur zwangerschap (in weken): @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Duur zwangerschap (in weken): element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Duur zwangerschap (in weken): element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]/hl7:observation
Item: Duur zwangerschap (in weken)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Duur zwangerschap (in weken): @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Duur zwangerschap (in weken): @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Duur zwangerschap (in weken): element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Duur zwangerschap (in weken): element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 ">Duur zwangerschap (in weken): element hl7:value is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Duur zwangerschap (in weken): element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]/hl7:observation/hl7:code
Item: Duur zwangerschap (in weken)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='18185-9'">Duur zwangerschap (in weken): A code element SHALL be present where the value of @code is '18185-9' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Duur zwangerschap (in weken): A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]/hl7:observation/hl7:value
Item: Duur zwangerschap (in weken)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='364320009']]]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:code[@code='18185-9']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">Duur zwangerschap (in weken): An @xsi:type instruction SHALL be present where the value is 'PQ' STATIC or datatype SHALL be 'PQ'</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@unit='d' or @unit='wk' or @nullFlavor">Duur zwangerschap (in weken): value attribute SHALL use @unit 'd' or 'wk' - found unit <value-of select="@unit"/></assert><let name="theValue" value="@value"/><report role="warning" see="http://www.nictiz.nl/__TBD__/elab-201" test="number($theValue)&lt;0">Duur zwangerschap (in weken): value attribute with data type 'PQ' @value SHALL be in range 0 ...  - out of range <value-of select="$theValue"/></report><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="$digitok">Duur zwangerschap (in weken): @value is not a valid PQ number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Relevante medicatie: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Relevante medicatie: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Relevante medicatie: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='BATTERY'">Relevante medicatie: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Relevante medicatie: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Relevante medicatie: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Relevante medicatie: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Relevante medicatie: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:code
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='18605-6'">Relevante medicatie: A code element SHALL be present where the value of @code is '18605-6' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Relevante medicatie: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:statusCode
Item: Relevante medicatie
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Relevante medicatie: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">Relevante medicatie: element hl7:substanceAdministration is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:substanceAdministration)&lt;=1">Relevante medicatie: element hl7:substanceAdministration appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='SBADM'">Relevante medicatie: @classCode SHALL be present where the value of @classCode is 'SBADM' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Relevante medicatie: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Relevante medicatie: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:effectiveTime)&lt;=1">Relevante medicatie: element hl7:effectiveTime appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:doseQuantity)&lt;=1">Relevante medicatie: element hl7:doseQuantity appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">Relevante medicatie: element hl7:consumable is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:consumable)&lt;=1">Relevante medicatie: element hl7:consumable appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:statusCode
Item: Relevante medicatie
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:effectiveTime
Item: Relevante medicatie
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:doseQuantity
Item: Relevante medicatie
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='CSM'">Relevante medicatie: @typeCode SHALL be present where the value of @typeCode is 'CSM' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">Relevante medicatie: element hl7:manufacturedProduct is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:manufacturedProduct)&lt;=1">Relevante medicatie: element hl7:manufacturedProduct appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='MANU'">Relevante medicatie: @classCode SHALL be present where the value of @classCode is 'MANU' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:manufacturedLabeledDrug)&gt;=1 and not(hl7:manufacturedLabeledDrug/@nullFlavor)">Relevante medicatie: element hl7:manufacturedLabeledDrug is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:manufacturedLabeledDrug)&lt;=1">Relevante medicatie: element hl7:manufacturedLabeledDrug appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: Relevante medicatie
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='MMAT'">Relevante medicatie: @classCode SHALL be present where the value of @classCode is 'MMAT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @determinerCode='KIND'">Relevante medicatie: @determinerCode SHALL have value 'KIND' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Relevante medicatie: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Relevante medicatie: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='18605-6']]]/hl7:organizer/hl7:component/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code
Item: Relevante medicatie
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Relevante allergieën, antibioticaovergevoeligheden: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='BATTERY'">Relevante allergieën, antibioticaovergevoeligheden: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Relevante allergieën, antibioticaovergevoeligheden: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:code
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='48765-2'">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @code is '48765-2' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:statusCode
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Relevante allergieën, antibioticaovergevoeligheden: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Relevante allergieën, antibioticaovergevoeligheden: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Relevante allergieën, antibioticaovergevoeligheden: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:participant is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participant)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:participant appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:entryRelationship)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:entryRelationship appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:code
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='OINT'">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @code is 'OINT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.5.4'">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.5.4' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:statusCode
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='CAGNT'">Relevante allergieën, antibioticaovergevoeligheden: @typeCode SHALL be present where the value of @typeCode is 'CAGNT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:participantRole is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participantRole)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:participantRole appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='MANU'">Relevante allergieën, antibioticaovergevoeligheden: @classCode SHALL be present where the value of @classCode is 'MANU' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:playingEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:playingEntity)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:playingEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole/hl7:playingEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='MMAT'">Relevante allergieën, antibioticaovergevoeligheden: @classCode SHALL be present where the value of @classCode is 'MMAT' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:code
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='SUBJ'">Relevante allergieën, antibioticaovergevoeligheden: @typeCode SHALL be present where the value of @typeCode is 'SUBJ' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship/hl7:observation
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Relevante allergieën, antibioticaovergevoeligheden: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Relevante allergieën, antibioticaovergevoeligheden: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Relevante allergieën, antibioticaovergevoeligheden: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship/hl7:observation/hl7:code
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='SEV'">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @code is 'SEV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.5.4'">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.5.4' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship/hl7:observation/hl7:value
Item: Relevante allergieën, antibioticaovergevoeligheden
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='48765-2']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">Relevante allergieën, antibioticaovergevoeligheden: An @xsi:type instruction SHALL be present where the value is 'CD' STATIC or datatype SHALL be 'CD'</assert><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="valueFromValueSet" value="'SeverityConditionICA'"/><let name="theDisplayName" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@displayName[1])"/><let name="theeffectiveDate" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/@effectiveDate)"/><let name="requiredCodeSystem" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@codeSystem)"/><let name="type" value="(document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@code = $theCode]/@type)"/><let name="theNullFlavor" value="@nullFlavor"/><let name="validNullFlavor" value="document('elab-COR.xml')/*/valueSet[@name = $valueFromValueSet]/conceptList/concept[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]"/><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="(string-length($theDisplayName)&gt;0 and ($theCodeSystem=$requiredCodeSystem)) or string-length($validNullFlavor)&gt;0">Relevante allergieën, antibioticaovergevoeligheden: A code element SHALL be present where the value of @code is selected from Value Set '<value-of select="$valueFromValueSet"/>' DYNAMIC <value-of select="$theeffectiveDate"/> - found code= <value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="not(@nullFlavor) or string-length($validNullFlavor)&gt;0">Relevante allergieën, antibioticaovergevoeligheden: @nullFlavor '<value-of select="$theNullFlavor"/>' is not allowed in this context</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="not($type='A') or string-length($validNullFlavor)&gt;0">Relevante allergieën, antibioticaovergevoeligheden: the code used is an abstract node and cannot be chosen as a valid code  - found: code=<value-of select="$theCode"/> codeSystem=<value-of select="$theCodeSystem"/></assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]
Item: Symptomen etc.
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Symptomen etc.: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Symptomen etc.: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Symptomen etc.: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer
Item: Symptomen etc.
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='BATTERY'">Symptomen etc.: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Symptomen etc.: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Symptomen etc.: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Symptomen etc.: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Symptomen etc.: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer/hl7:code
Item: Symptomen etc.
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='418799008'">Symptomen etc.: A code element SHALL be present where the value of @code is '418799008' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Symptomen etc.: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer/hl7:statusCode
Item: Symptomen etc.
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer/hl7:component
Item: Symptomen etc.
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='418799008']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Symptomen etc.: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]
Item: Vaccinatie status
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Vaccinatie status: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Vaccinatie status: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Vaccinatie status: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer
Item: Vaccinatie status
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='BATTERY'">Vaccinatie status: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Vaccinatie status: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Vaccinatie status: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Vaccinatie status: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Vaccinatie status: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer/hl7:code
Item: Vaccinatie status
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='41291-6'">Vaccinatie status: A code element SHALL be present where the value of @code is '41291-6' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Vaccinatie status: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer/hl7:statusCode
Item: Vaccinatie status
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer/hl7:component
Item: Vaccinatie status
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='41291-6']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Vaccinatie status: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]
Item: Recente ingrepen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Recente ingrepen: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Recente ingrepen: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Recente ingrepen: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer
Item: Recente ingrepen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='BATTERY'">Recente ingrepen: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Recente ingrepen: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Recente ingrepen: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Recente ingrepen: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Recente ingrepen: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer/hl7:code
Item: Recente ingrepen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='47519-4'">Recente ingrepen: A code element SHALL be present where the value of @code is '47519-4' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Recente ingrepen: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer/hl7:statusCode
Item: Recente ingrepen
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer/hl7:component
Item: Recente ingrepen
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='47519-4']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Recente ingrepen: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]
Item: Prothetisch materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Prothetisch materiaal: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Prothetisch materiaal: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Prothetisch materiaal: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]/hl7:observation
Item: Prothetisch materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Prothetisch materiaal: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Prothetisch materiaal: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Prothetisch materiaal: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Prothetisch materiaal: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">Prothetisch materiaal: element hl7:value is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Prothetisch materiaal: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]/hl7:observation/hl7:code
Item: Prothetisch materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='313150002'">Prothetisch materiaal: A code element SHALL be present where the value of @code is '313150002' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Prothetisch materiaal: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]/hl7:observation/hl7:value
Item: Prothetisch materiaal
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='313150002']]]/hl7:observation/hl7:value"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Prothetisch materiaal: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]
Item: Externe factoren - contact met dieren en planten
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Externe factoren - contact met dieren en planten: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Externe factoren - contact met dieren en planten: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Externe factoren - contact met dieren en planten: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation
Item: Externe factoren - contact met dieren en planten
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Externe factoren - contact met dieren en planten: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Externe factoren - contact met dieren en planten: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Externe factoren - contact met dieren en planten: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Externe factoren - contact met dieren en planten: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Externe factoren - contact met dieren en planten: element hl7:participant is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participant)&lt;=1">Externe factoren - contact met dieren en planten: element hl7:participant appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:code
Item: Externe factoren - contact met dieren en planten
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='129841008'">Externe factoren - contact met dieren en planten: A code element SHALL be present where the value of @code is '129841008' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Externe factoren - contact met dieren en planten: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant
Item: Externe factoren - contact met dieren en planten
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='EXSRC'">Externe factoren - contact met dieren en planten: @typeCode SHALL be present where the value of @typeCode is 'EXSRC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participantRole)&lt;=1">Externe factoren - contact met dieren en planten: element hl7:participantRole appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant/hl7:participantRole
Item: Externe factoren - contact met dieren en planten
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant/hl7:participantRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='EXPAGTCAR'">Externe factoren - contact met dieren en planten: @classCode SHALL be present where the value of @classCode is 'EXPAGTCAR' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">Externe factoren - contact met dieren en planten: element hl7:playingEntity is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:playingEntity)&lt;=1">Externe factoren - contact met dieren en planten: element hl7:playingEntity appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant/hl7:participantRole/hl7:playingEntity
Item: Externe factoren - contact met dieren en planten
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant/hl7:participantRole/hl7:playingEntity"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='NLIV'">Externe factoren - contact met dieren en planten: @classCode SHALL be present where the value of @classCode is 'NLIV' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:desc)&gt;=1 ">Externe factoren - contact met dieren en planten: element hl7:desc is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:desc)&lt;=1">Externe factoren - contact met dieren en planten: element hl7:desc appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='129841008']]]/hl7:observation/hl7:participant/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: Externe factoren - contact met dieren en planten
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Externe factoren - verblijf in  buitenland: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">Externe factoren - verblijf in  buitenland: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='BATTERY'">Externe factoren - verblijf in  buitenland: @classCode SHALL be present where the value of @classCode is 'BATTERY' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Externe factoren - verblijf in  buitenland: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Externe factoren - verblijf in  buitenland: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:code
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='10182-4'">Externe factoren - verblijf in  buitenland: A code element SHALL be present where the value of @code is '10182-4' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">Externe factoren - verblijf in  buitenland: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:statusCode
Item: Externe factoren - verblijf in  buitenland
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Externe factoren - verblijf in  buitenland: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Externe factoren - verblijf in  buitenland: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Externe factoren - verblijf in  buitenland: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Externe factoren - verblijf in  buitenland: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Externe factoren - verblijf in  buitenland: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:effectiveTime)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:effectiveTime appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">Externe factoren - verblijf in  buitenland: element hl7:participant is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participant)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:participant appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:entryRelationship)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:entryRelationship appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:code
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='161086008'">Externe factoren - verblijf in  buitenland: A code element SHALL be present where the value of @code is '161086008' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Externe factoren - verblijf in  buitenland: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:statusCode
Item: Externe factoren - verblijf in  buitenland
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:effectiveTime
Item: Externe factoren - verblijf in  buitenland
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='LOC'">Externe factoren - verblijf in  buitenland: @typeCode SHALL be present where the value of @typeCode is 'LOC' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">Externe factoren - verblijf in  buitenland: element hl7:participantRole is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:participantRole)&lt;=1">Externe factoren - verblijf in  buitenland: element hl7:participantRole appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole
Item: Externe factoren - verblijf in  buitenland
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:participant/hl7:participantRole"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='LOCE'">Externe factoren - verblijf in  buitenland: @classCode SHALL be present where the value of @classCode is 'LOCE' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='10182-4']]]/hl7:organizer/hl7:component/hl7:observation/hl7:entryRelationship
Item: Externe factoren - verblijf in  buitenland
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]
Item: Beroep
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">Beroep: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">Beroep: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">Beroep: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]/hl7:observation
Item: Beroep
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">Beroep: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">Beroep: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Beroep: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">Beroep: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">Beroep: element hl7:statusCode appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&gt;=1 ">Beroep: element hl7:value is required [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:value)&lt;=1">Beroep: element hl7:value appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]/hl7:observation/hl7:code
Item: Beroep
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]/hl7:observation/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='184104002'">Beroep: A code element SHALL be present where the value of @code is '184104002' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.96'">Beroep: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.96' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]/hl7:observation/hl7:statusCode
Item: Beroep
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='184104002']]]/hl7:observation/hl7:value
Item: Beroep
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]
Item: organizer uitslagen sneltest
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">organizer uitslagen sneltest: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">organizer uitslagen sneltest: element hl7:organizer is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:organizer)&lt;=1">organizer uitslagen sneltest: element hl7:organizer appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer
Item: organizer uitslagen sneltest
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='CLUSTER'">organizer uitslagen sneltest: @classCode SHALL be present where the value of @classCode is 'CLUSTER' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">organizer uitslagen sneltest: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">organizer uitslagen sneltest: element hl7:code is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:code)&lt;=1">organizer uitslagen sneltest: element hl7:code appears too often [max 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:statusCode)&lt;=1">organizer uitslagen sneltest: element hl7:statusCode appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:code
Item: organizer uitslagen sneltest
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:code"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @code='34075-2'">organizer uitslagen sneltest: A code element SHALL be present where the value of @code is '34075-2' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@nullFlavor or @codeSystem='2.16.840.1.113883.6.1'">organizer uitslagen sneltest: A code element SHALL be present where the value of @codeSystem is '2.16.840.1.113883.6.1' STATIC </assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:statusCode
Item: organizer uitslagen sneltest
-->

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:component
Item: organizer uitslagen sneltest
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:component"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test=" @typeCode='COMP'">organizer uitslagen sneltest: @typeCode SHALL be present where the value of @typeCode is 'COMP' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">organizer uitslagen sneltest: element hl7:observation is mandatory [min 1x]</assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="count(hl7:observation)&lt;=1">organizer uitslagen sneltest: element hl7:observation appears too often [max 1x]</assert></rule>

<!--
Template derived rules for ID: elab-201
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:component/hl7:observation
Item: organizer uitslagen sneltest
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.35.201']/hl7:organizer/hl7:component[hl7:organizer[hl7:code[@code='34075-2']]]/hl7:organizer/hl7:component/hl7:observation"><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@classCode='OBS'">organizer uitslagen sneltest: @classCode SHALL be present where the value of @classCode is 'OBS' STATIC </assert><assert role="error" see="http://www.nictiz.nl/__TBD__/elab-201" test="@moodCode='EVN'">organizer uitslagen sneltest: @moodCode SHALL be present where the value of @moodCode is 'EVN' STATIC </assert></rule>
</pattern>