<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 EN - Entity Name
    Status: in behandeling
-->
<rule abstract="true" id="EN" see="http://hl7book.net/index.php?title=DatatypesR1:PN" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="LIST"/>
    
    <assert role="error" test="(@nullFlavor or * or text()) and not(@nullFlavor and (* or text()))"
        >Datatype EN: either null or content</assert>
    <assert role="error" test="(count(*)&gt;0 and not(text()[string-length(normalize-space(.))&gt;0])) or (count(*)=0 and string-length(normalize-space(text()[1]))&gt;0) or @nullFlavor"
        >Datatype EN: naam geheel in tekst of geheel in elementen (geen mixed content)</assert>
    <report role="warning" test="*[normalize-space(.)='']"
        >Datatype EN: lege naamdelen zijn niet toegestaan.</report>

    <report role="warning" test="substring(normalize-space(.),1,1)='&quot;'"
        >Datatype EN: Het gebruik van aanhalingstekens aan het begin van een naam is waarschijnlijk onjuist.</report>
</rule>