<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.114
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.114">
   <title>Beeldvormend onderzoek</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]
Item: (BeeldvormendOnderzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act
Item: (BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act"
         id="tmp-4f5cb5ee-d912-442f-8e1b-2ba8c93844f1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@classCode='ACT'">(BeeldvormendOnderzoek): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@moodCode='EVN'">(BeeldvormendOnderzoek): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']/@nullFlavor)">(BeeldvormendOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'])&lt;=1">(BeeldvormendOnderzoek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(BeeldvormendOnderzoek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:code)&lt;=1">(BeeldvormendOnderzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(BeeldvormendOnderzoek): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:text)&lt;=1">(BeeldvormendOnderzoek): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:performer)&lt;=1">(BeeldvormendOnderzoek): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']
Item: (BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.114']"
         id="tmp-fd3d832d-3f66-4e75-b6a3-343b31a4e072">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.114'">(BeeldvormendOnderzoek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.114' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(BeeldvormendOnderzoek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:code
Item: (BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:code"
         id="tmp-c54d1e4f-33d9-4745-902c-7e7f9e643569">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(BeeldvormendOnderzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Studies summary')">(BeeldvormendOnderzoek): de waarde van @code/@codeSystem MOET ''30954-2' codeSystem '2.16.840.1.113883.6.1' displayName='Studies summary'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:text
Item: (BeeldvormendOnderzoek)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:text"
         id="tmp-970bd9d3-3910-4658-a2e2-0989b0147b59">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(BeeldvormendOnderzoek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer
Item: (Performer.6.36.1.1)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer"
         id="tmp-621258da-5c2e-41fb-ae6e-c9e221db3ada">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@contextControlCode='OP'">(Performer.6.36.1.1): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@typeCode='PRF'">(Performer.6.36.1.1): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.36.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.114
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.36.1.1)
-->
<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.114']]/hl7:act/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-acba25a8-0c23-474c-8951-0c738c92f00e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.114.html"
              test="@classCode='ASSIGNED'">(Performer.6.36.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>