<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.31
Description: Nictiz Ambulance-PS
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.31">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]
Item: (Ambulance-PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent"
         id="tmp-f89b21ec-e0a9-4a85-8e99-2bb19f719892">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@classCode='PCPR'">(Ambulance-PS): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@moodCode='EVN'">(Ambulance-PS): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31']/@nullFlavor)">(Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'])&lt;=1">(Ambulance-PS): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Ambulance-PS): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:statusCode)&lt;=1">(Ambulance-PS): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Ambulance-PS): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:effectiveTime)&lt;=1">(Ambulance-PS): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(Ambulance-PS): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:recordTarget)&lt;=1">(Ambulance-PS): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&gt;=1 ">(Ambulance-PS): element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:author)&lt;=1">(Ambulance-PS): element hl7:author komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]|hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]|hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]|hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="$elmcount&gt;=1">(Ambulance-PS): keuze (hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]] of hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]] of hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]] of hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]) bevat te weinig elementen [min 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31']
Item: (Ambulance-PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.31']"
         id="tmp-401ae9be-cc7f-4bad-9a2f-21321e345176">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@root='2.16.840.1.113883.2.4.6.10.40.31'">(Ambulance-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.40.31' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Ambulance-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:statusCode
Item: (CPpart4PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:statusCode"
         id="tmp-971f17ff-aea5-4b86-987f-028bcbb8bf68">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(CPpart4PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or (@code='active') or (@code='completed')">(CPpart4PS): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime
Item: (CPpart4PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime"
         id="tmp-54d61352-7e36-4775-a656-6baa0b509a30">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(CPpart4PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:low)&lt;=1">(CPpart4PS): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:high)=0">(CPpart4PS): element hl7:high MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:width)=0">(CPpart4PS): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="count(hl7:center)=0">(CPpart4PS): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low
Item: (CPpart4PS)
-->

<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-9681f14e-fdae-4c42-bd1f-abd538ac7919">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(CPpart4PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:high
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:width
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:effectiveTime/hl7:center
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (CPpart4PS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent
Item: (Choice.6.3.1.6)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.1']]]"
         id="tmp-f24e30d0-4f69-4a15-9b55-5f4f2be3c9c5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.40.17']]]"
         id="tmp-411fc513-d69f-4806-9533-49367190c63a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.3']]]"
         id="tmp-e9689dc5-c544-435c-89a7-4b9dfcea0ddc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.31
Context: *[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]
Item: (Choice.6.3.1.6)
-->
<rule context="*[hl7:CareProvisionEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.40.31']]/hl7:CareProvisionEvent/hl7:pertinentInformation3[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.9']]]"
         id="tmp-288f30ab-0ac5-4ba3-a432-b8b19fb3cb6e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@contextConductionInd='true'">(Choice.6.3.1.6): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.31.html"
              test="@typeCode='PERT'">(Choice.6.3.1.6): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>
</pattern>