<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.23
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.23">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.23
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (PatientNLIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-c5ad67fb-9c87-409d-8d67-e1dd18b7d7a1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']/@nullFlavor)">(PatientNLIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'])&lt;=1">(PatientNLIdentified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(PatientNLIdentified): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.23
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']
Item: (PatientNLIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']"
         id="tmp-81170331-ea18-4428-bb75-54dab08ef01b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.23'">(PatientNLIdentified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.23' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PatientNLIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.23
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (PatientNLIdentified)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.23']/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-77edb9fe-0632-4fe2-ab8b-9b2fc993aef9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PatientNLIdentified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(PatientNLIdentified): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.23.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PatientNLIdentified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>